public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add psi=1 to the kernel command line
Date: Fri, 11 Sep 2026 13:23:41 GMT [thread overview]
Message-ID: <178913302165.1.3743135363402627113.tests-selinux-8b6da4df0e33@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 8b6da4df0e33306be152b66be3618cc6f742b376
Author : Milos Malik <mmalik@redhat.com>
Date : 2026-04-13T07:30:27+00:00
Stats : +6/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/8b6da4df0e33306be152b66be3618cc6f742b376?branch=pr775-checkpolicy-revdeps
Log:
add psi=1 to the kernel command line
For a successful run of the /selinux-policy/systemd-oomd test we
need the Pressure Stall Information (PSI) to be available.
From now on, the test add the psi=1 parameter to the kernel
command line and reboots the machine. The test should pass after
a reboot.
---
diff --git a/selinux-policy/systemd-oomd/runtest.sh b/selinux-policy/systemd-oomd/runtest.sh
index dd3e54f..e7f74e9 100755
--- a/selinux-policy/systemd-oomd/runtest.sh
+++ b/selinux-policy/systemd-oomd/runtest.sh
@@ -26,6 +26,12 @@
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+if ! grep psi=1 /proc/cmdline ; then
+ grubby --update-kernel ALL --args psi=1
+ sync
+ tmt-reboot
+fi
+
# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
reply other threads:[~2026-09-11 13:23 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913302165.1.3743135363402627113.tests-selinux-8b6da4df0e33@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox